local gc = Var("GameCommand")

return Def.ActorFrame {
	LoadActor("base"),
	LoadActor("base") .. {
		OnCommand=function(self) self:blend(Blend.Add) end,
		GainFocusCommand=function(self)
			self:stoptweening():linear(0.01):glowshift():effectcolor1(LocalBlueColor(0.2)):effectcolor2(LocalBlueColor(0))
		end,
		LoseFocusCommand=function(self)
			self:stoptweening():linear(0.01):stopeffect():glow(Color.Stealth)
		end
	},
	LoadActor("glow") .. {
		GainFocusCommand=function(self)
			self:stoptweening():linear(0.01):diffuseshift():effectcolor1(Color.White):effectcolor2(LocalGoldColor(1))
		end,
		LoseFocusCommand=function(self)
			self:stoptweening():linear(0.01):stopeffect():diffuse(LocalGoldColor(1))
		end
	},
	
	LoadFont("Common Normal") .. {
		Name = "Text",
		Text=THEME:GetString("ScreenTitleMenu",gc:GetText()),
		OnCommand=function(self)
			self:strokecolor(Color.Black):horizalign(right):x(120):maxwidth(220)
		end,
		GainFocusCommand=function(self)
			self:stoptweening():linear(0.01):diffuse(Color.White)
		end,
		LoseFocusCommand=function(self)
			self:stoptweening():linear(0.01):diffuse(LocalBlueColor(0.5))
		end
	}
}